Subject: Re: linux-next: manual merge of the driver-core tree with the rdma tree

From: Stephen Rothwell <[email-masked]>
Date: Wed, 30 Jul 2025 09:15:48 +1000

Hi all,

On Thu, 19 Jun 2025 16:30:41 +1000 Stephen Rothwell <[email-masked]> wrote:
>
> Today's linux-next merge of the driver-core tree got a conflict in:
> 
>   drivers/infiniband/hw/qib/qib_sysfs.c
> 
> between commit:
> 
>   24baad32b710 ("RDMA/qib: Remove outdated driver")
> 
> from the rdma tree and commit:
> 
>   fb506e31b3d5 ("sysfs: treewide: switch back to attribute_group::bin_attrs")
> 
> from the driver-core tree.
> 
> I fixed it up (I just removed the file) and can carry the fix as
> necessary. This is now fixed as far as linux-next is concerned, but any
> non trivial conflicts should be mentioned to your upstream maintainer
> when your tree is submitted for merging.  You may also want to consider
> cooperating with the maintainer of the conflicting tree to minimise any
> particularly complex conflicts.

This is now a conflict between the rdma tree and Linus' tree.

-- 
Cheers,
Stephen Rothwell